---
title: StyleSheet.ownerNode
slug: Web/API/StyleSheet/ownerNode
tags:
  - API
  - CSSOM
  - NeedsSpecTable
  - Property
  - Reference
---
<div>{{APIRef("CSSOM")}}</div>

<p><span class="seoSummary">The <code><strong>ownerNode</strong></code> property of the {{domxref("StyleSheet")}} interface returns the node that associates this style sheet with the document.</span></p>

<p>This is usually an HTML <code><a href="/en-US/docs/Web/HTML/Element/link">&lt;link&gt;</a></code> or <code><a href="/en-US/docs/Web/HTML/Element/style">&lt;style&gt;</a></code> element, but can also return a <a href="/en-US/docs/Web/API/ProcessingInstruction">processing instruction node</a> in the case of <code>&lt;?xml-stylesheet ?&gt;</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><em>nodeRef</em> = stylesheet.ownerNode
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: html notranslate">&lt;html lang="en"&gt;
 &lt;head&gt;
  &lt;link rel="stylesheet" href="example.css"&gt;
 &lt;/head&gt;
 &lt;body&gt;
   &lt;button onclick="alert(document.styleSheets[0].ownerNode)"&gt;Show example.css’s ownerNode&lt;/button&gt;
 &lt;/body&gt;
&lt;/html&gt;
// Displays "object HTMLLinkElement"
</pre>

<h2 id="Notes">Notes</h2>

<p>For style sheets that are included by other style sheets, such as with <code><a href="/en-US/docs/Web/CSS/@import">@import</a></code>, the value of this property is <code>null</code>.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSSOM', '#dom-stylesheet-ownernode', 'StyleSheet: ownerNode')}}</td>
   <td>{{Spec2('CSSOM')}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.StyleSheet.ownerNode")}}</p>
